<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{

    public function up(): void
    {
        Schema::create('horarios', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->string('dia');
            $table->time('entrada')->nullable();
            $table->time('comidas')->nullable();
            $table->time('comidar')->nullable();
            $table->time('salida')->nullable();
            $table->boolean('status');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('horarios');
    }
};
